SystemOrganization addCategory: #ConfigurationOfObjectBrowser!

Object subclass: #ConfigurationOfObjectBrowser
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfObjectBrowser'!

!ConfigurationOfObjectBrowser class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 3/15/2010 20:58'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfObjectBrowser class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 3/15/2010 20:58'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfObjectBrowser class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 12/28/2010 15:55'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfObjectBrowser class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 3/15/2010 20:59'!
loadDefault
	(self project version: '0.1-version') load! !

!ConfigurationOfObjectBrowser class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 11/10/2010 23:59'!
loadLast
	self project lastVersion load! !

!ConfigurationOfObjectBrowser class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 3/15/2010 20:59'!
project

	^self new project! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 2/3/2011 18:54'!
baseline10: spec 
    <version: '1.0-baseline'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/ObjectBrowser'.
		spec
			project: 'smallUML' with: [ spec className: 'ConfigurationOfSmallUML'; 
											loads: #('default' );
											file: 'ConfigurationOfSmallUML';
											repository: 'http://www.squeaksource.com/smallUML'. ];
			package: 'CommandShell' with: [ spec repository: 'http://www.squeaksource.com/CommandShell'. ];
			package: 'GraphViz';
			package: 'ObjectBrowser' with: [ spec requires: #('smallUML') ].
			spec group: 'default' with: #( 'ObjectBrowser' ).
			spec group: 'graphViz' with: #( 'GraphViz' 'CommandShell' 'externalCommands' ).
		].
	spec for: #unix do: [
		spec 
			project: 'externalCommands' with: [ 
				spec className: 'ConfigurationOfOSProcess'; 
						file: 'ConfigurationOfOSProcess';
						repository: 'http://www.squeaksource.com/MetacelloRepository'.
				spec postLoadDoIt: #initializeOSProcess.
			].
		].

	spec for: #Win32 do: [
		spec
			project: 'externalCommands' with: [ 
				spec repository: 'http://www.squeaksource.com/MetacelloRepository'. 
				spec className: 'ConfigurationOfFFI'.
		]
	].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 9/3/2011 11:41'!
baseline11: spec 
    <version: '1.1-baseline'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/ObjectBrowser'.
		spec
			project: 'smallUML' with: [ spec className: 'ConfigurationOfSmallUML'; 
											loads: #('default' );
											file: 'ConfigurationOfSmallUML';
											repository: 'http://www.squeaksource.com/smallUML'. ];
			package: 'ObjectBrowser' with: [ spec requires: #('smallUML') ].
			spec group: 'default' with: #( 'ObjectBrowser' ).
		].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 9/28/2011 18:05'!
baseline12: spec 
    <version: '1.2-baseline'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/ObjectBrowser'.
		spec
			project: 'smallUML' with: [ spec className: 'ConfigurationOfSmallUML'; 
											loads: #('default' );
											file: 'ConfigurationOfSmallUML';
											repository: 'http://www.squeaksource.com/smallUML'. ];
			package: 'ObjectBrowser' with: [ spec requires: #( 'smallUML' 'SUML-ObjectDiagramModel' 'SUML-ClassDiagramModel') ].
			
		spec package: 'Graphics-Primitives'.
		spec package: 'SUML-ObjectDiagramModel' with: [ spec requires: #( 'smallUML' ) ].
		spec package: 'SUML-ClassDiagramModel' with: [ spec requires: #( 'smallUML' ) ].
		spec group: 'default' with: #( 'ObjectBrowser' ).
		].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 10/25/2011 22:34'!
baseline131: spec 
    <version: '1.3.1-baseline'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/ObjectBrowser'.
		spec
			project: 'smallUML' with: [ spec className: 'ConfigurationOfSmallUML'; 
											loads: #('default' );
											file: 'ConfigurationOfSmallUML';
											repository: 'http://www.squeaksource.com/smallUML'. ];
			package: 'ObjectBrowser' with: [ spec requires: #( 'smallUML' 'SUML-ObjectDiagramModel' 'SUML-ClassDiagramModel') ].
			
		spec package: 'SUML-ObjectDiagramModel' with: [ spec requires: #( 'smallUML' ) ].
		spec package: 'SUML-ClassDiagramModel' with: [ spec requires: #( 'smallUML' ) ].
		spec group: 'default' with: #( 'ObjectBrowser' ).
		].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 9/28/2011 18:05'!
baseline13: spec 
    <version: '1.3-baseline'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/ObjectBrowser'.
		spec
			project: 'smallUML' with: [ spec className: 'ConfigurationOfSmallUML'; 
											loads: #('default' );
											file: 'ConfigurationOfSmallUML';
											repository: 'http://www.squeaksource.com/smallUML'. ];
			package: 'ObjectBrowser' with: [ spec requires: #( 'smallUML' 'SUML-ObjectDiagramModel' 'SUML-ClassDiagramModel') ].
			
		spec package: 'Graphics-Primitives' with: [ spec repository: 'http://www.squeaksource.com/Pharo' ].
		spec package: 'SUML-ObjectDiagramModel' with: [ spec requires: #( 'smallUML' ) ].
		spec package: 'SUML-ClassDiagramModel' with: [ spec requires: #( 'smallUML' ) ].
		spec group: 'default' with: #( 'ObjectBrowser' ).
		].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 8/8/2012 11:31'!
baseline141: spec 
    <version: '1.4.1-baseline'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://smalltalkhub.com/mc/Guille/LOOP/main'.
		spec
			project: 'smallUML' with: [ spec className: 'ConfigurationOfSmallUML'; 
											loads: #('default' );
											file: 'ConfigurationOfSmallUML';
											repository: 'http://smalltalkhub.com/mc/Guille/SmallUml/main'. ];
			package: 'ObjectBrowser' with: [ spec requires: #( 'smallUML' 'SUML-ObjectDiagramModel') ].
			
		spec package: 'SUML-ObjectDiagramModel' with: [ spec requires: #( 'smallUML' ) ].
		spec group: 'default' with: #( 'ObjectBrowser' ).
		].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 5/3/2012 19:59'!
baseline14: spec 
    <version: '1.4-baseline'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/ObjectBrowser'.
		spec package: 'ObjectBrowser' with: [ spec requires: #( 'smallUML' ) ].
			
		spec package: 'SUML-Tools' with: [ spec requires: 'MinimalConnectors'.  ].
		spec package: 'SUML-DiagramDrawing' with: [ spec requires: 'MinimalConnectors'.  ].
		spec package: 'SUML-ObjectDiagramModel'.
		spec package: 'SUML-ClassDiagramModel'.
		
		spec 
			package: 'MinimalConnectors-ConnectableShapes';
			package: 'MinimalConnectors-CurvesAndArrows';
			package: 'MinimalConnectors-Connections' with: [spec requires: 'MinimalConnectors-ConnectableShapes' ].

		
		spec group: 'MinimalConnectors' with: #( 'MinimalConnectors-Connections' 'MinimalConnectors-CurvesAndArrows' 'MinimalConnectors-ConnectableShapes' ).
		spec group: 'smallUML' with: #( 'SUML-Tools' 'SUML-DiagramDrawing' 'SUML-ObjectDiagramModel' 'SUML-ClassDiagramModel' ).
		spec group: 'default' with: #( 'ObjectBrowser' ).
	].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'DeboraFortini 6/28/2011 20:24'!
development: spec 
	<symbolicVersion: #development>
	spec for: #'pharo1.2.x' version: '1.2.1'. 
! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 11/11/2010 01:33'!
initializeOSProcess.
	(Smalltalk globals at: #ThisOSProcess) initialize! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 12/28/2010 16:07'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) new.
		constructor project projectAttributes: (Array with: Smalltalk os platformName asSymbol).
		constructor on: self.
		project := constructor project.
		project]! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'carlaGriggio 5/4/2012 04:09'!
stable: spec  
	<symbolicVersion: #stable>
	
	spec for: #'pharo1.1.x' version: '1.0'.
	spec for: #'pharo1.2.x' version: '1.3'.
	spec for: #'pharo1.3.x' version: '1.3.1'.
	spec for: #'pharo1.4.x' version: '1.4.1'.! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 12/28/2010 17:33'!
version10: spec 
    <version: '1.0' imports: #('1.0-baseline')>
	spec for: #common do:[
		spec blessing: #release.
		spec project: 'smallUML' with: '1.0'.
		spec package: 'CommandShell' with: 'CommandShell-dtl.49'.
		spec package: 'GraphViz' with: 'GraphViz-GuillermoPolito.47'.
		spec package: 'ObjectBrowser' with: 'ObjectBrowser-GermanLeiva.334'.
	].
	spec for: #unix do: [
		spec project: 'externalCommands' with: '4.3.12'.
	].
	spec for: #Win32 do: [
		spec project: 'externalCommands' with: '1.4'.
	]! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GiselaDecuzzi 3/22/2011 21:26'!
version11: spec 
    <version: '1.1' imports: #('1.0-baseline')>
	spec for: #common do:[
		spec blessing: #release.
		spec project: 'smallUML' with: '1.1.3'.
		spec package: 'CommandShell' with: 'CommandShell-dtl.49'.
		spec package: 'GraphViz' with: 'GraphViz-GuillermoPolito.48'.
		spec package: 'ObjectBrowser' with: 'ObjectBrowser-GiselaDecuzzi.353'.
	].
	spec for: #unix do: [
		spec project: 'externalCommands' with: '4.3.12'.
	].
	spec for: #Win32 do: [
		spec project: 'externalCommands' with: '1.4'.
	]! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 9/22/2011 16:24'!
version121: spec 
    <version: '1.2.1' imports: #('1.2-baseline')>
	spec for: #common do:[
		spec blessing: #release.
		spec project: 'smallUML' with: '1.1.3'.
		spec package: 'ObjectBrowser' with: 'ObjectBrowser-GuillermoPolito.412'.
		spec package: 'Graphics-Primitives' with: 'Graphics-Primitives-DeboraFortini.49'.
		spec package: 'SUML-ObjectDiagramModel' with: 'SUML-ObjectDiagramModel-DeboraFortini.19'.
		spec package: 'SUML-ClassDiagramModel' with: 'SUML-ClassDiagramModel-DeboraFortini.21'.
	].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GiselaDecuzzi 8/19/2011 12:54'!
version12: spec 
    <version: '1.2' imports: #('1.1-baseline')>
	spec for: #common do:[
		spec blessing: #development.
		spec project: 'smallUML' with: '1.1.3'.
		spec package: 'ObjectBrowser' with: 'ObjectBrowser-GuillermoPolito.367'.
	].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GiselaDecuzzi 11/11/2011 10:10'!
version131: spec 
    <version: '1.3.1' imports: #('1.3.1-baseline')>
	spec for: #common do:[
		spec blessing: #release.
		spec project: 'smallUML' with: '1.1.3'.
		spec package: 'ObjectBrowser' with: 'ObjectBrowser-GiselaDecuzzi.422'.
		spec package: 'SUML-ObjectDiagramModel' with: 'SUML-ObjectDiagramModel-GuillermoPolito.20'.
		spec package: 'SUML-ClassDiagramModel' with: 'SUML-ClassDiagramModel-GuillermoPolito.22'.
	].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GiselaDecuzzi 10/17/2011 09:12'!
version13: spec 
    <version: '1.3' imports: #('1.3-baseline')>
	spec for: #common do:[
		spec blessing: #release.
		spec project: 'smallUML' with: '1.1.3'.
		spec package: 'ObjectBrowser' with: 'ObjectBrowser-GuillermoPolito.419'.
		spec package: 'Graphics-Primitives' with: 'Graphics-Primitives-StephaneDucasse.48'.
		spec package: 'SUML-ObjectDiagramModel' with: 'SUML-ObjectDiagramModel-GuillermoPolito.20'.
		spec package: 'SUML-ClassDiagramModel' with: 'SUML-ClassDiagramModel-GuillermoPolito.22'.
	].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 8/9/2012 16:36'!
version141: spec 
    <version: '1.4.1' imports: #('1.4.1-baseline')>
	spec for: #common do:[
		spec blessing: #development.
		spec package: 'ObjectBrowser' with: 'ObjectBrowser-GuillermoPolito.437'.

		spec project: 'smallUML' with: '1.1.4'.
				
		spec package: 'SUML-ObjectDiagramModel' with: 'SUML-ObjectDiagramModel-GuillermoPolito.20'.
	].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 8/14/2012 23:01'!
version142: spec 
    <version: '1.4.2' imports: #('1.4.1-baseline')>
	spec for: #common do:[
		spec blessing: #development.
		spec package: 'ObjectBrowser' with: 'ObjectBrowser-GuillermoPolito.438'.

		spec project: 'smallUML' with: '1.1.4'.
				
		spec package: 'SUML-ObjectDiagramModel' with: 'SUML-ObjectDiagramModel-GuillermoPolito.20'.
	].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 5/3/2012 20:25'!
version14: spec 
    <version: '1.4' imports: #('1.4-baseline')>
	spec for: #common do:[
		spec blessing: #development.
		spec package: 'ObjectBrowser' with: 'ObjectBrowser-GuillermoPolito.424'.

		spec package: 'MinimalConnectors-ConnectableShapes' with:'MinimalConnectors-ConnectableShapes-GuillermoPolito.19'.
		spec package: 'MinimalConnectors-CurvesAndArrows' with: 'MinimalConnectors-CurvesAndArrows-carlaGriggio.8'.
		spec package: 'MinimalConnectors-Connections' with: 'MinimalConnectors-Connections-GuillermoPolito.9'.
				
		spec package: 'SUML-ObjectDiagramModel' with: 'SUML-ObjectDiagramModel-GuillermoPolito.20'.
		spec package: 'SUML-ClassDiagramModel' with: 'SUML-ClassDiagramModel-GuillermoPolito.22'.
		spec package: 'SUML-DiagramDrawing' with:'SUML-DiagramDrawing-GuillermoPolito.29'.
		spec package: 'SUML-SequenceDiagramModel' with:'SUML-SequenceDiagramModel-carlaGriggio.1'.
		spec package: 'SUML-Tools' with:'SUML-Tools-carlaGriggio.36'.
	].! !
